"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// @ts-ignore
const compile_1 = __importDefault(require("@hyext/compile"));
// @ts-ignore
const metro_react_native_babel_transformer_1 = __importDefault(require("metro-react-native-babel-transformer"));
const path_1 = require("path");
module.exports = {
    transform: function (args, registryPath, assetPlugins) {
        let { src, filename, options, plugins = [] } = args;
        // 不管是业务文件还是 npm 文件 , 都进行 css/hycss 的预处理
        if (filename.endsWith(".css") || filename.endsWith(".hycss")) {
            src = compile_1.default.feature.transformCss2Js(src, filename, options, plugins);
        }
        // 处理业务的js文件, 进行stylesheet 的预处理
        const codeExts = ['.js', '.jsx', '.tsx', '.ts'];
        if (!filename.includes('node_modules') && codeExts.includes(path_1.extname(filename))) {
            // src = cssLoader.feature.transformStylesheet(src, filename, options, plugins);
        }
        return metro_react_native_babel_transformer_1.default.transform({ src, filename, options, plugins });
    },
};
