"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
function resolveReactNativePath(projectRoot) {
    const resolveNodeModuleDir = (root, packageName) => {
        return path_1.default.dirname(
        //  通过部分路径找到一个包的路径
        require.resolve(path_1.default.join(packageName, 'package.json'), {
            paths: [root],
        }));
    };
    return resolveNodeModuleDir(projectRoot, 'react-native');
}
exports.default = resolveReactNativePath;
