"use strict";
// https://gist.github.com/pguillory/729616
Object.defineProperty(exports, "__esModule", { value: true });
function hookStdout(callback) {
    let old_write = process.stdout.write;
    // @ts-ignore
    process.stdout.write = ((write) => function (str) {
        write.apply(process.stdout, arguments);
        callback(str);
    })(process.stdout.write);
    return () => {
        process.stdout.write = old_write;
    };
}
exports.default = hookStdout;
