import connect from 'connect'
import chalk from 'chalk'

export const hyExtMiddleware =
  connect()
    .use('/', (req, res, next) => {
      if (process.env.HYEXT_LOG_REQ) {
        console.log(
          chalk.dim(`DevServer ${req.url}`)
        )
      }
      next()
    })
    .use('/hyext-debug', (req, res, next) => {
      res.end('ok')
    })
    .use('/debugger-proxy', (req, res, next) => {
      // console.log('handle debugger-proxy before community')
      next()
    })

