interface BaseOptions {
    projectRoot: string;
}
interface DevOptions extends BaseOptions {
    filterModules?: Set<string>;
    filterModulesVersion?: Set<string>;
    imageBaseURL?: string;
    SDKAlias?: {
        [aliasName: string]: string[];
    };
    mode: 'dev';
}
interface ProdOptions extends BaseOptions {
    filterModules: Set<string>;
    filterModulesVersion: Set<string>;
    imageBaseURL: string;
    SDKAlias: {
        [aliasName: string]: string[];
    };
    mode: 'production';
}
export default function filterModuleHOF(options: DevOptions | ProdOptions): (() => boolean) | ((module: any) => boolean);
export {};
