import path from 'path'

export default function resolveReactNativePath(projectRoot: string) {
  const resolveNodeModuleDir = (root: string, packageName: string) => {
    return path.dirname(
      //  通过部分路径找到一个包的路径
      require.resolve(path.join(packageName, 'package.json'), {
        paths: [root],
      }),
    );
  }

  return resolveNodeModuleDir(projectRoot, 'react-native')
}
